<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2016 Coppermine Dev Team
  v1.0 originally written by Gregory Demar

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.

  ********************************************
  Coppermine version: 1.5.42
  $HeadURL: https://svn.code.sf.net/p/coppermine/code/trunk/cpg1.5.x/plugins/sample/codebase.php $
  $Revision: 8846 $
**********************************************/

require_once './plugins/url_upload/upload.inc.php';

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');
if (!defined('CORE_PLUGIN')) {
    define('CORE_PLUGIN', true);
}

// Add an install action
$thisplugin->add_action('plugin_install','urlupload_install');


//Wirkliche wichtige Sachen
$thisplugin->add_filter('upload_options','urlupload_add_upload_option');

function urlupload_add_upload_option($upload_choices)
{
	return array_merge($upload_choices, Array('url_upload'=>'URL Upload'));
}

$thisplugin->add_action('upload_form','url_display_upload_form');

function url_display_upload_form($upload_settings)
{
	global $superCage,$CONFIG, $USER_DATA, $lang_common, $lang_upload_php, $lang_plugin_html5upload, $icon_array, $h5a_upload, $lang_bbcode_help_title, $lang_bbcode_help,$CURRENT_PIC_DATA;


	list($upload_form, $upload_select) = $upload_settings;
	if ($upload_form != 'url_upload') {
		return $upload_settings;
	}

	pageHeader();

  echo '<table align="center" width="100%" cellspacing="1" cellpadding="0" class="maintable">
        <tr>
                <td class="tableh1" colspan="2">Datei hochladen</td><td style="text-align:right">
				<span id="upload_method_selector">'.$upload_settings[1].'</span>
			</td>
        </tr></table>';

	if ($superCage->post->keyExists('control'))
	{
		//Datei hochladen
		//var_dump($superCage->post->_source);

		$album=$superCage->post->getInt('url_album');
		$title=$superCage->post->getEscaped('title');
    $caption=$superCage->post->getEscaped('caption');
		$keywords=$superCage->post->getEscaped('keywords');

    $cat=albumValid($album);
		$url=$superCage->post->_source['URI_array'][0];
		$mime=getMimeType($url);
		if ($mime===false)
		{
      cpg_die(CRITICAL_ERROR, sprintf('Konnte Bildtyp nicht ermitteln'), __FILE__, __LINE__, true);

		}
		$ext=getExtFromMime($mime);
		$filename=getFileNameFromURL($url);
		$filename=cleanFileName($filename);
   	$temp=getTempFilenName($filename,$ext);
    download_remote_file($superCage->post->_source['URI_array'][0],$temp);

    // Change file permission
    @chmod($temp, octdec($CONFIG['default_file_mode'])); //silence the output in case chmod is disabled

    $imgFile=movePicture($temp,$filename);

    // Create thumbnail and internediate image and add the image into the DB
		$filepath=dirname($imgFile).'/';
		$filename=basename($imgFile);
		$filepath=str_replace($CONFIG['fullpath'],'',$filepath);
		//var_dump($CONFIG['fullpath']);
		//var_dump($filepath);
    //var_dump($filename);
		//echo "<br>";

    $result = add_picture($album, $filepath, $filename , 0,$title, $caption, $keywords); //, $user1, $user2, $user3, $user4, $category, $raw_ip, $hdr_ip, $movie_wd, $movie_ht);
		if ($result)
		{
     	if (cpg_pw_protected_album_access($album) === 1) {
            $redirect = "thumbnails.php?album=" . $CURRENT_PIC_DATA['aid'];
        } else {
            $redirect = "displayimage.php?pid=" . $CURRENT_PIC_DATA['pid'];
        }
        cpgRedirectPage($redirect, $lang_common['information'], $lang_db_input_php['upl_success'], 1);
		}
		else
		{
    	@unlink($imgFile);
      cpg_die(CRITICAL_ERROR, isset($result['error']) ? $result['error'] : sprintf($lang_db_input_php['err_insert_pic'], $imgFile) . '<br /><br />' . $ERROR, __FILE__, __LINE__, true);
		}

	}
	else
	{
		printUploadForm();
  }


	endtable();
	pagefooter();
	exit;
}




function sample_block_mgr($block) {
    return $block;
}


// Install function
// Checks if uid is 'foo' and pwd is 'bar'; If so, then install the plugin
function urlupload_install() {
    return true;
}


?>